com.amazon.redshift.logger

## Enum LogLevel

- java.lang.Object
- - java.lang.Enum<LogLevel>
  - - com.amazon.redshift.logger.LogLevel

All Implemented Interfaces:
  Serializable, Comparable<LogLevel>

    public enum LogLevel
    extends Enum<LogLevel>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEBUG`
`ERROR`
`FUNCTION`
`INFO`
`OFF`

### Method Summary

Methods
`static LogLevel` `getLogLevel(int level)`
`static LogLevel` `getLogLevel(String level)`
`static LogLevel` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LogLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OFF

    public static final LogLevel OFF

#### ERROR

    public static final LogLevel ERROR

#### INFO

    public static final LogLevel INFO

#### FUNCTION

    public static final LogLevel FUNCTION

#### DEBUG

    public static final LogLevel DEBUG

### Method Detail

#### values

    public static LogLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LogLevel c : LogLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LogLevel valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getLogLevel

    public static LogLevel getLogLevel(int level)

#### getLogLevel

    public static LogLevel getLogLevel(String level)